ItemPublication の更新

名前空間: microsoft.graph

ユーザーのプロファイル内 の itemPublication オブジェクトのプロパティを更新 します

アクセス許可

この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。

アクセス許可の種類 アクセス許可 (特権の小さいものから大きいものへ)
委任 (職場または学校アカウント) User.ReadWrite, User.ReadWrite.All
委任 (個人用 Microsoft アカウント) User.ReadWrite, User.ReadWrite.All
アプリケーション User.ReadWrite.All

HTTP 要求

PATCH /me/profile/publications/{id}
PATCH /users/{id | userPrincipalName}/profile/publications/{id}

要求ヘッダー

名前 説明
Authorization ベアラー {token}。必須。
Content-Type application/json. Required.

要求本文

要求本文で、更新する関連フィールドの値を指定します。 要求本文に含まれない既存のプロパティは、以前の値のままになるか、他のプロパティ値の変化に基づいて再計算されます。 最適なパフォーマンスを得るために、変更されていない既存の値を含めないでください。

プロパティ 種類 説明
allowedAudiences 文字列 エンティティ内に含まれる値を表示できる対象ユーザー。 itemFacet から継承されます。 可能な値は、mefamilycontactsgroupMembersorganizationfederatedOrganizationseveryoneunknownFutureValue です。
description String 文書の説明。
displayName 文字列 文書のタイトル。
推論 inferenceData エンティティが作成または変更アプリケーションによって推論される場合の推論の詳細を格納します。 itemFacet から継承されます
publishedDate 日付 文書が発行された日付。
publisher String 文書またはPublisherの文書。
source personDataSource 別のサービスから同期された場合に値が発生した場所。 itemFacet から継承されます
thumbnailUrl 文字列 文書のサムネイルを参照する URL。
webUrl String 文書を参照する URL。

応答

成功した場合、このメソッドは応答コードと、応答本文で 200 OK 更新された itemPublication オブジェクトを返します。

要求

PATCH https://graph.microsoft.com/beta/users/{userId}/profile/publications/{id}
Content-Type: application/json

{
  "publisher": "International Association of Branding Management Publishing",
  "thumbnailUrl": "https://iabm.io/sdhdfhsdhshsd.jpg",
}

応答

注: ここに示す応答オブジェクトは、読みやすさのために短縮されている場合があります。

HTTP/1.1 200 OK
Content-Type: application/json

{
  "id": "0fb4c1e3-c1e3-0fb4-e3c1-b40fe3c1b40f",
  "allowedAudiences": "organization",
  "inference": null,
  "createdDateTime": "2020-07-06T06:34:12.2294868Z",
  "createdBy": {
    "application": null,
    "device": null,
    "user": {
      "displayName": "Innocenty Popov",
      "id": "db789417-4ccb-41d1-a0a9-47b01a09ea49"
    }
  },
  "lastModifiedDateTime": "2020-07-06T06:34:12.2294868Z",
  "lastModifiedBy": {
    "application": null,
    "device": null,
    "user": {
      "displayName": "Innocenty Popov",
      "id": "db789417-4ccb-41d1-a0a9-47b01a09ea49"
    }
  },
  "source": null,
  "description": "One persons journey to the top of the branding management field.",
  "displayName": "Got Brands? The story of Innocenty Popov and his journey to the top.",
  "publishedDate": "Date",
  "publisher": "International Association of Branding Management Publishing",
  "thumbnailUrl": "https://iabm.io/sdhdfhsdhshsd.jpg",
  "webUrl": "https://www.iabm.io"
}